Subject: [6lowpan] Comment on PAN IDs section in draft-bormann-6lowpan-roadmap-00

From: "Dijk, Esko" <[email-masked]>
Date: Mon, 4 Apr 2011 18:14:54 +0200

Dear Carsten,

here my small comments on the current draft-bormann-6lowpan-roadmap-00:

"As the use of PAN identifiers in 6LoWPAN networks has since become less and less meaningful,"
perhaps good to explain why this is the case. Was it more meaningful some years ago? Or is it simply less used.
A distinction could be made here also between 1) using PAN IDs in the 802.15.4 radios and 2) using PAN IDs in 6LoWPAN as defined in Section 6 of RFC 4944.

"It is therefore RECOMMENDED to employ a PAN identifier of zero with 6LoWPAN."
-> maybe good to make clear that implementations may still use non-zero PAN IDs of their choice at the 802.15.4 level? Only they do not use it in 6LoWPAN as defined in Section 6 of RFC 4944.

best regards,

Esko Dijk

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.

---

From: Carsten Bormann <[email-masked]>
Date: Mon, 4 Apr 2011 19:39:51 +0200

Indeed, this could be clarified:

> A distinction could be made here also between 1) using PAN IDs in the 802.15.4 radios and 2) using PAN IDs in 6LoWPAN as defined in Section 6 of RFC 4944.

I think it would be useful to collect more data on how PAN identifiers are actually used in 6LoWPANs.
The draft text I wrote is just mirroring what implementers have been saying the last couple of years.
If you run 802.15.4 in non-associated mode, the PAN identifier is not meaningful.
If you do associate, using the PAN Id in the IPv6 address would make you change your address each time you associate to a different PAN -- which is exactly what the 6LoWPAN addressing model is trying to avoid.

So, my question to the WG is: how are implementers using PAN identifiers today?
(Please respond on the list -- or privately, if you prefer.)

> -> maybe good to make clear that implementations may still use non-zero PAN IDs of their choice at the 802.15.4 level? Only they do not use it in 6LoWPAN as defined in Section 6 of RFC 4944.

(I meant the part about not using any PAN Id in the IPv6 addresses.)

Good points that can be described in more detail in the next version of the draft -- this is exactly the discussion I was hoping to get going with this document.

Gruesse, Carsten